Skip to main content

Authentication

This endpoint requires authentication using a Bearer token.
curl -X PATCH https://api.dub.co/tags/tag_abc123 \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Digital Marketing",
    "color": "purple"
  }'

Path Parameters

id
string
required
The ID of the tag to update.

Request Body

All fields are optional. Only include the fields you want to update.
name
string
The name of the tag.Minimum length: 1, Maximum length: 50
color
string
The color of the tag.Available colors: red, yellow, green, blue, purple, pink, brown

Response

id
string
The unique ID of the tag.
name
string
The name of the tag.
color
string
The color of the tag.
{
  "id": "tag_abc123",
  "name": "Digital Marketing",
  "color": "purple"
}

Build docs developers (and LLMs) love